Relay docs
API ReferenceConversations

List conversations

Returns conversations for the workspace, most recently active first. Requires the `conversations:read` scope.

GET
/v1/public/conversations

Authorization

bearerAuth
AuthorizationBearer <token>

Workspace API key, e.g. rl_live_….

In: header

Query Parameters

limit?integer

Maximum items to return (1–200).

Range1 <= value <= 200
Default50
cursor?string

Opaque pagination cursor from a previous response's next_cursor.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/public/conversations"
{  "has_more": true,  "next_cursor": "string",  "data": [    {      "id": "9b2c1f7e-3d4a-4c1b-8e2f-1a2b3c4d5e6f",      "status": "open",      "priority": "high",      "labels": [        "vip",        "billing"      ],      "unreadCount": 2,      "contact": {        "id": "c0ffee00-1111-2222-3333-444455556666",        "name": "Ada Lovelace",        "email": "[email protected]",        "phoneNumber": null,        "shopName": "acme.myshopify.com"      },      "inbox": {        "id": "1b0a7d22-aaaa-bbbb-cccc-ddddeeeeffff",        "name": "Web widget",        "channelType": "web_widget"      },      "assignee": {        "id": "user_2x9Q",        "name": "Grace Hopper",        "image": "https://cdn.relay.app/u/grace.png"      },      "lastActivityAt": "2026-06-25T10:12:00.000Z",      "createdAt": "2026-06-24T08:00:00.000Z"    }  ]}
{  "error": "string"}
{  "error": "string"}